Bug 8764 - Template change "Authors" to "Additional authors" in OPAC
Summary: Template change "Authors" to "Additional authors" in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low trivial (vote)
Assignee: David Cook
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-12 20:28 UTC by David Cook
Modified: 2013-05-23 06:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8764 - Template change "Authors" to "Additional authors" in OPAC (1.64 KB, patch)
2012-09-12 20:37 UTC, David Cook
Details | Diff | Splinter Review
Bug 8764 - Template change "Authors" to "Additional authors" in OPAC (1.74 KB, patch)
2012-09-14 09:22 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2012-09-12 20:28:54 UTC
The OPAC is incorrectly labelling Additional authors as Authors. By changing this label to "Additional authors", the OPAC will match the Intranet and order will be restored to the force.
Comment 1 David Cook 2012-09-12 20:37:14 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2012-09-14 09:22:52 UTC
Created attachment 12211 [details] [review]
Bug 8764 - Template change "Authors" to "Additional authors" in OPAC

This patch simply changes "Authors" to "Additional authors" in the OPAC. This label describes authors that are added via the MARC 700 fields, which are added or additional authors.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Works as advertised, and seems to make sense. Only affects the display
when XSLT is not enabled.
Comment 3 Jonathan Druart 2012-09-14 12:57:34 UTC
QA Comments:
Simple string change in template, marked as Passed QA.
Comment 4 Paul Poulain 2012-09-15 05:19:42 UTC
This patch is probably "wrong" for UNIMARC, but patch pushed.

Explanation: in UNIMARC, authors are stored in 7xx
The 700 field contains the main authors, 701 and 702 additional physical/personal authors. (710, 711, 712 being for collective authors)

however, the 200$f field also contain authors, in non authoritative form.
That's why the opac-detail.pl displays 200$f as authors, and all 7xx authors in the MARCAUTHOR array (in authority form)
So it's wrong to say "additional authors"

however, for libraries that think it's a problem, they can always activate XSLT. So patch pushed
Comment 5 Chris Cormack 2012-09-25 01:58:24 UTC
Pushed to 3.8.x, will be in 3.8.6